Post an event to a specific run
POST
/v1/workflows/runs/{runId}/events
const url = 'https://your-notavia-host/v1/workflows/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/events';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"event_name":"example","event_data":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-notavia-host/v1/workflows/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/events \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "event_name": "example", "event_data": {} }'Delivers event_name to a single run. Wakes the run if it is
currently paused on a wait_for_event step whose event and
match filter matches the posted data.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” runId
required
string format: uuid
Request Body required
Section titled “Request Body required ” Media type application/json
object
event_name
required
Name of the event to deliver (e.g. payment_confirmed).
string
event_data
required
Arbitrary JSON payload matched against the step’s match filter.
object
key
additional properties
any
Example generated
{ "event_name": "example", "event_data": {}}Responses
Section titled “ Responses ”Event delivered; awoken run count returned.
Media type application/json
object
awoken_run_count
required
Number of runs that were awoken by this event.
integer
Example generated
{ "awoken_run_count": 1}Validation or request error.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Credentials do not have the required scope.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Resource not found.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}